#include <iostream>
#include <vector>

using namespace std;

int main()
{
    int poznanstva;
    int brojUcenika;

    cin>>brojUcenika>>poznanstva;

    vector<int> druzeljubivost (brojUcenika);

    for(int j=0; j<brojUcenika; j++){
        cin>>druzeljubivost[j];
    }

    vector<int> sreca (brojUcenika);

    for(int m=0; m<poznanstva; m++){
        int a;
        cin>>a;
        int b;
        cin>>b;
        sreca[a]+=druzeljubivost[a];
        sreca[b]+=druzeljubivost[b];
    }

    int zbir=0;
    for(int m=0; m<brojUcenika; m++){
        zbir+=sreca[m];
    }

    cout<<zbir;

}